# Chapter 1. Getting Django Set Up Using a Functional Test

Write tests first, implement coming later.

Before continue, read book and finish following:

* [x] Installing Firefox, Git, geckodriver via apt
* [x] Create virtual environment for this textbook

This chapter is about setting up working environment, as python tdd book is built around testing django testing framework

Steps of first simple test case

1. Create a simple **functional test (FT)** `functional_test.py` that verify browser title
2. Run the FT script, expected to fail, as `http://localhost:8000` hasn't started
3. Getting Django Up and Running via `$ django-admin.py startproject superlists .`
4. Run Django server via `python manage.py runserver`
5. Activate virtulenv, and running FT again. Pass

Final step, commit above src changes